%define name	twolame
%define version 0.3.12
%define release %mkrel 1
%define distsuffix plf
%define major 0
%define libname	%mklibname %{name} %{major}
%define develname %mklibname -d %name

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	MPEG Audio Layer2 VBR Encoder
License:	LGPL
Group:		Sound
URL:		http://www.twolame.org/
Source:		http://prdownloads.sourceforge.net/twolame/%{name}-%{version}.tar.gz 
Buildroot:	%{_tmppath}/%{name}-%{version}
Buildrequires: libsndfile-devel

%description
TwoLAME is a fork of tooLAME - an optimized MPEG Audio Layer 2 (MP2)
encoder. New features include a brand new frontend, fully thread-safe
library (libtwolame), with an API very similar to LAME's.

This package is in PLF, as MP2 encoding is covered by software patents.

%package -n %{libname}
Summary:	Main library for twolame
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libtwolame.

This package is in PLF, as MP2 encoding is covered by software patents.

%package -n %develname
Summary:	Headers for developing programs that will use libtwolame
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 0

%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use libtwolame.

This package is in PLF, as MP2 encoding is covered by software patents.

%prep
%setup -q

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/%name installed-docs

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog
%{_bindir}/%{name}
%_mandir/man1/%name.1*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc installed-docs/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*a
%_libdir/pkgconfig/*.pc

%changelog
* Wed Jan  9 2008 Götz Waschk <goetz@zarb.org> 0.3.12-1plf2008.1
- new devel name
- new version

* Thu Mar 22 2007 Götz Waschk <goetz@zarb.org> 0.3.10-1plf2007.1
- new version

* Sun Dec 31 2006 Götz Waschk <goetz@zarb.org> 0.3.9-1plf2007.1
- new version

* Sun Jul 09 2006 Götz Waschk <goetz@zarb.org> 0.3.8-1plf
- New release 0.3.8

* Mon May 08 2006 Götz Waschk <goetz@zarb.org> 0.3.7-1plf
- New release 0.3.7

* Sun Mar 26 2006 Götz Waschk <goetz@zarb.org> 0.3.6-1plf
- New release 0.3.6

* Mon Jan  2 2006 Götz Waschk <goetz@zarb.org> 0.3.5-3plf
- fix build on 10.0

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 0.3.5-2plf
- provide mkrel macro for old distributions

* Fri Dec 16 2005 Götz Waschk <goetz@zarb.org> 0.3.5-1plf
- initial package based on toolame
